Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/BaseClasses/ShapeBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/BaseClasses/ShapeBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/BaseClasses/ShapeBase.cs	(revision 4068)
@@ -564,6 +505,6 @@
             } 
              */
-            #endregion
-            /*
+      #endregion
+      /*
             ltx = Math.Round(ltx);
             lty = Math.Round(lty);
@@ -571,116 +512,110 @@
             rby = Math.Round(rby);
              * */
-            //now we can re-create the rectangle of this shape            
-            //newRectangle = RectangleF.FromLTRB(ltx, lty, rbx, rby);
-            newRectangle = Rectangle.FromLTRB(Convert.ToInt32(ltx), Convert.ToInt32(lty), Convert.ToInt32(rbx), Convert.ToInt32(rby));
-            //if ((newRectangle.Width <= 50 && scaleX < 1) || (newRectangle.Height <= 50 && scaleY < 1))
-            //    return;
-            #region Scaling of the mConnectors
-            //Note that this mechanism is way easier than the calculations in the old Netron library
-            //and it also allows dynamic mConnectors.
-            foreach (IConnector cn in this.mConnectors)
-            {
-                //De profundis: ge wilt het gewoon nie weten hoeveel bloed, zweet en tranen ik in de onderstaande berekeningen heb gestoken...
-                //met al de afrondingen en meetkundinge schaalafwijkingen..tis een wonder dat ik eruit ben geraakt.
-
-                //Scaling preserves proportions, so we calculate the proportions before the rectangle was resized and
-                //re-assign the same proportion after the rectangle is resized.
-                //I have tried many, many different possibilities but the accumulation of double-to-int conversions is a real pain.
-                //The only working solution I found was to cut things off after the first decimal.
-                a = Math.Round(((double)cn.Point.X - (double)mRectangle.X) / (double)mRectangle.Width, 1) * newRectangle.Width + ltx;
-                b = Math.Round(((double)cn.Point.Y - (double)mRectangle.Y) / (double)mRectangle.Height, 1) * newRectangle.Height + lty;
-                p = new Point(Convert.ToInt32(a), Convert.ToInt32(b));
-                cn.Point = p;
-            }
-            #endregion
-
-            //assign the new calculated rectangle to this shape
-            this.mRectangle = newRectangle;
-
-            RaiseOnChange(this, new EntityEventArgs(this));
-
-            //invalidate the space before the resize; very important if the scaling is a contraction!
-            this.Invalidate(currentRectangle);
-            //invalidate the current situation
-            this.Invalidate();
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Transforms the entity to the given new rectangle.
-        /// </summary>
-        /// <param name="x">The x-coordinate of the new rectangle.</param>
-        /// <param name="y">The y-coordinate of the new rectangle.</param>
-        /// <param name="width">The width.</param>
-        /// <param name="height">The height.</param>
-        // ------------------------------------------------------------------
-        public virtual void Transform(int x, int y, int width, int height)
-        { 
-            // Make sure the new size is valid.
-            if ((width < myMinSize.Width) ||
-                (height < myMinSize.Height) ||
-                (width > myMaxSize.Width) ||
-                (height > myMaxSize.Height))
-            {
-                return;
-            }
-
-            double a, b;
-            Point p;
-            Rectangle before = mRectangle;
-            before.Inflate(20, 20);
-            foreach (IConnector cn in this.mConnectors)
-            {
-                a = Math.Round(
-                    ( (double)cn.Point.X - (double)mRectangle.X ) / 
-                    (double)mRectangle.Width, 1) * width + x - cn.Point.X;
-
-                b = Math.Round(
-                    ( (double)cn.Point.Y - (double)mRectangle.Y ) / 
-                    (double)mRectangle.Height, 1) * height + y - cn.Point.Y;
-
-                p = new Point(Convert.ToInt32(a), Convert.ToInt32(b));
-                cn.MoveBy(p);
-            }
-
-            mRectangle = new Rectangle(x, y, width, height);
-
-            RaiseOnChange(this, new EntityEventArgs(this));            
-
-            // Update the material; the gradient depends on the rectangle
-            UpdatePaintingMaterial();
-            Invalidate(before);
-
-            // If we're attached to a group, make sure to let him know
-            // we've moved/resized.
-            if (mGroup != null)
-            {
-                mGroup.CalculateRectangle();
-                mGroup.Invalidate();
-
-                // The group will invalidate us when it's invalidated so just
-                // stop now.
-                //return;
-            }
-
-            Invalidate(mRectangle);            
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Transforms the entity to the given new rectangle.
-        /// </summary>
-        /// <param name="rectangle">The new bounds.</param>
-        // ------------------------------------------------------------------
-        public virtual void Transform(Rectangle rectangle)
-        {           
-            Transform(
-                rectangle.X, 
-                rectangle.Y, 
-                rectangle.Width, 
-                rectangle.Height);
-        }
-
-        #endregion        
-    }
+      //now we can re-create the rectangle of this shape            
+      //newRectangle = RectangleF.FromLTRB(ltx, lty, rbx, rby);
+      newRectangle = Rectangle.FromLTRB(Convert.ToInt32(ltx), Convert.ToInt32(lty), Convert.ToInt32(rbx), Convert.ToInt32(rby));
+      //if ((newRectangle.Width <= 50 && scaleX < 1) || (newRectangle.Height <= 50 && scaleY < 1))
+      //    return;
+      #region Scaling of the mConnectors
+      //Note that this mechanism is way easier than the calculations in the old Netron library
+      //and it also allows dynamic mConnectors.
+      foreach (IConnector cn in this.mConnectors) {
+        //De profundis: ge wilt het gewoon nie weten hoeveel bloed, zweet en tranen ik in de onderstaande berekeningen heb gestoken...
+        //met al de afrondingen en meetkundinge schaalafwijkingen..tis een wonder dat ik eruit ben geraakt.
+
+        //Scaling preserves proportions, so we calculate the proportions before the rectangle was resized and
+        //re-assign the same proportion after the rectangle is resized.
+        //I have tried many, many different possibilities but the accumulation of double-to-int conversions is a real pain.
+        //The only working solution I found was to cut things off after the first decimal.
+        a = Math.Round(((double)cn.Point.X - (double)mRectangle.X) / (double)mRectangle.Width, 1) * newRectangle.Width + ltx;
+        b = Math.Round(((double)cn.Point.Y - (double)mRectangle.Y) / (double)mRectangle.Height, 1) * newRectangle.Height + lty;
+        p = new Point(Convert.ToInt32(a), Convert.ToInt32(b));
+        cn.Point = p;
+      }
+      #endregion
+
+      //assign the new calculated rectangle to this shape
+      this.mRectangle = newRectangle;
+
+      RaiseOnChange(this, new EntityEventArgs(this));
+
+      //invalidate the space before the resize; very important if the scaling is a contraction!
+      this.Invalidate(currentRectangle);
+      //invalidate the current situation
+      this.Invalidate();
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Transforms the entity to the given new rectangle.
+    /// </summary>
+    /// <param name="x">The x-coordinate of the new rectangle.</param>
+    /// <param name="y">The y-coordinate of the new rectangle.</param>
+    /// <param name="width">The width.</param>
+    /// <param name="height">The height.</param>
+    // ------------------------------------------------------------------
+    public virtual void Transform(int x, int y, int width, int height) {
+      // Make sure the new size is valid.
+      if ((width < myMinSize.Width) ||
+          (height < myMinSize.Height) ||
+          (width > myMaxSize.Width) ||
+          (height > myMaxSize.Height)) {
+        return;
+      }
+
+      double a, b;
+      Point p;
+      Rectangle before = mRectangle;
+      before.Inflate(20, 20);
+      foreach (IConnector cn in this.mConnectors) {
+        a = Math.Round(
+            ((double)cn.Point.X - (double)mRectangle.X) /
+            (double)mRectangle.Width, 1) * width + x - cn.Point.X;
+
+        b = Math.Round(
+            ((double)cn.Point.Y - (double)mRectangle.Y) /
+            (double)mRectangle.Height, 1) * height + y - cn.Point.Y;
+
+        p = new Point(Convert.ToInt32(a), Convert.ToInt32(b));
+        cn.MoveBy(p);
+      }
+
+      mRectangle = new Rectangle(x, y, width, height);
+
+      RaiseOnChange(this, new EntityEventArgs(this));
+
+      // Update the material; the gradient depends on the rectangle
+      UpdatePaintingMaterial();
+      Invalidate(before);
+
+      // If we're attached to a group, make sure to let him know
+      // we've moved/resized.
+      if (mGroup != null) {
+        mGroup.CalculateRectangle();
+        mGroup.Invalidate();
+
+        // The group will invalidate us when it's invalidated so just
+        // stop now.
+        //return;
+      }
+
+      Invalidate(mRectangle);
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Transforms the entity to the given new rectangle.
+    /// </summary>
+    /// <param name="rectangle">The new bounds.</param>
+    // ------------------------------------------------------------------
+    public virtual void Transform(Rectangle rectangle) {
+      Transform(
+          rectangle.X,
+          rectangle.Y,
+          rectangle.Width,
+          rectangle.Height);
+    }
+
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/BaseClasses/ShapeMaterialBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/BaseClasses/ShapeMaterialBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/BaseClasses/ShapeMaterialBase.cs	(revision 4068)
@@ -1,207 +1,189 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Abstract base class for shape materials
+  /// </summary>
+  public abstract partial class ShapeMaterialBase : IShapeMaterial {
+    #region Fields
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Abstract base class for shape materials
+    /// Implementation of IVersion - the current version of 
+    /// ShapeMaterialBase.
     /// </summary>
-    public abstract partial class ShapeMaterialBase : IShapeMaterial
-    {
-        #region Fields
+    // ------------------------------------------------------------------
+    protected double shapeMaterialBaseVersion = 1.0;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Implementation of IVersion - the current version of 
-        /// ShapeMaterialBase.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected double shapeMaterialBaseVersion = 1.0;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// the Gliding field
+    /// </summary>
+    // ------------------------------------------------------------------
+    private bool mGliding = true;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// the Gliding field
-        /// </summary>
-        // ------------------------------------------------------------------
-        private bool mGliding = true;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// the Resizable field
+    /// </summary>
+    // ------------------------------------------------------------------
+    private bool mResizable = true;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// the Resizable field
-        /// </summary>
-        // ------------------------------------------------------------------
-        private bool mResizable = true;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// the Rectangle field
+    /// </summary>
+    // ------------------------------------------------------------------
+    private Rectangle mRectangle = Rectangle.Empty;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// the Rectangle field
-        /// </summary>
-        // ------------------------------------------------------------------
-        private Rectangle mRectangle = Rectangle.Empty;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// the Shape field
+    /// </summary>
+    // ------------------------------------------------------------------
+    private IShape mShape;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// the Shape field
-        /// </summary>
-        // ------------------------------------------------------------------
-        private IShape mShape;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// the Visible field
+    /// </summary>
+    // ------------------------------------------------------------------
+    private bool mVisible = true;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// the Visible field
-        /// </summary>
-        // ------------------------------------------------------------------
-        private bool mVisible = true;
+    protected ITextStyle myTextStyle = new TextStyle(
+        Color.Black,
+        new Font("Arial", 10),
+        StringAlignment.Near,
+        StringAlignment.Near);
 
-        protected ITextStyle myTextStyle = new TextStyle(
-            Color.Black,
-            new Font("Arial", 10),
-            StringAlignment.Near,
-            StringAlignment.Near);
+    #endregion
 
-        #endregion
+    #region Properties
 
-        #region Properties
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the current version.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public virtual double Version {
+      get {
+        return shapeMaterialBaseVersion;
+      }
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the current version.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public virtual double Version
-        {
-            get
-            {
-                return shapeMaterialBaseVersion;
-            }
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the TextStyle.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public virtual ITextStyle TextStyle {
+      get {
+        return myTextStyle;
+      }
+      set {
+        myTextStyle = value;
+      }
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the TextStyle.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public virtual ITextStyle TextStyle
-        {
-            get
-            {
-                return myTextStyle;
-            }
-            set
-            {
-                myTextStyle = value;
-            }
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the Gliding
+    /// </summary>
+    // ------------------------------------------------------------------
+    public bool Gliding {
+      get { return mGliding; }
+      set { mGliding = value; }
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the Gliding
-        /// </summary>
-        // ------------------------------------------------------------------
-        public bool Gliding
-        {
-            get { return mGliding; }
-            set { mGliding = value; }
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the Resizable
+    /// </summary>
+    // ------------------------------------------------------------------
+    public bool Resizable {
+      get { return mResizable; }
+      set { mResizable = value; }
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the Resizable
-        /// </summary>
-        // ------------------------------------------------------------------
-        public bool Resizable
-        {
-            get { return mResizable; }
-            set { mResizable = value; }
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the Rectangle
+    /// </summary>
+    // ------------------------------------------------------------------
+    public virtual Rectangle Rectangle {
+      get { return mRectangle; }
+      internal set {
+        mRectangle = value;
+      }
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the Rectangle
-        /// </summary>
-        // ------------------------------------------------------------------
-        public virtual Rectangle Rectangle
-        {
-            get { return mRectangle; }
-            internal set
-            {
-                mRectangle = value;
-            }
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the Shape
+    /// </summary>
+    // ------------------------------------------------------------------
+    public virtual IShape Shape {
+      get { return mShape; }
+      set { mShape = value; }
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the Shape
-        /// </summary>
-        // ------------------------------------------------------------------
-        public virtual IShape Shape
-        {
-            get { return mShape; }
-            set { mShape = value; }
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets if this material is visible.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public bool Visible {
+      get { return mVisible; }
+      set { mVisible = value; }
+    }
+    #endregion
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets if this material is visible.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public bool Visible
-        {
-            get { return mVisible; }
-            set { mVisible = value; }
-        }
-        #endregion
+    #region Constructor
+    ///<summary>
+    ///Default constructor
+    ///</summary>
+    protected ShapeMaterialBase() {
+    }
+    #endregion
 
-        #region Constructor
-        ///<summary>
-        ///Default constructor
-        ///</summary>
-        protected ShapeMaterialBase()
-        {
-        }
-        #endregion
+    #region Methods
 
-        #region Methods
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Calculates the min size needed to fit this material in.
+    /// </summary>
+    /// <param name="g">Graphics</param>
+    /// <returns>Size</returns>
+    // ------------------------------------------------------------------
+    public abstract Size CalculateMinSize(Graphics g);
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Calculates the min size needed to fit this material in.
-        /// </summary>
-        /// <param name="g">Graphics</param>
-        /// <returns>Size</returns>
-        // ------------------------------------------------------------------
-        public abstract Size CalculateMinSize(Graphics g);
+    /// <summary>
+    /// Transforms the specified rectangle.
+    /// </summary>
+    /// <param name="rectangle">The rectangle.</param>
+    public virtual void Transform(Rectangle rectangle) {
+      this.mRectangle = rectangle;
+    }
 
-        /// <summary>
-        /// Transforms the specified rectangle.
-        /// </summary>
-        /// <param name="rectangle">The rectangle.</param>
-        public virtual void Transform(Rectangle rectangle)
-        {
-            this.mRectangle = rectangle;
-        }
-
-        /// <summary>
-        /// Paints the entity using the given graphics object
-        /// </summary>
-        /// <param name="g"></param>
-        public abstract void Paint(Graphics g);
+    /// <summary>
+    /// Paints the entity using the given graphics object
+    /// </summary>
+    /// <param name="g"></param>
+    public abstract void Paint(Graphics g);
 
 
-        /// <summary>
-        /// Gets the service object of the specified type.
-        /// </summary>
-        /// <param name="serviceType">An object that specifies the type of service object to get.</param>
-        /// <returns>
-        /// A service object of type serviceType.-or- null if there is no service object of type serviceType.
-        /// </returns>
-        public virtual object GetService(Type serviceType)
-        {
-            return null;
-        }
+    /// <summary>
+    /// Gets the service object of the specified type.
+    /// </summary>
+    /// <param name="serviceType">An object that specifies the type of service object to get.</param>
+    /// <returns>
+    /// A service object of type serviceType.-or- null if there is no service object of type serviceType.
+    /// </returns>
+    public virtual object GetService(Type serviceType) {
+      return null;
+    }
 
-        #endregion
+    #endregion
 
-    }
+  }
 }
